import greenfoot.GreenfootImage;

/**
 * A cell's state: Either alive or dead
 *
 */
public enum CellState {

   /** Cell is alive. */
   ALIVE(LifeWorld.imageAlive, 1, "Cell is in 'alive' state") ,

   /** Cell is dead. */
   DEAD(LifeWorld.imageDead, 0, "Cell is in 'dead' state");

   /** Image corresponding to the given state. */
   public final GreenfootImage image;
   
   /**
    * 0 if dead, 1 if living
    */
   public final int liveCount;
   private final String description;

   CellState(GreenfootImage image, final int liveCount, final String description) {
      this.image = image;
      this.liveCount = liveCount;
      this.description = description;
   }

   @Override
   public String toString() {
      return description; 
   }
}
